%global         basever 0.3

Name:           mugshot
Version:        0.3.2
Release:        2%{?dist}
Summary:        A lightweight user-configuration application

License:        GPLv3+
URL:            https://launchpad.net/mugshot/
Source0:        https://launchpad.net/%{name}/%{basever}/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:  python-distutils-extra
BuildRequires:  pygobject3
BuildRequires:  dbus-python
BuildRequires:  pexpect
BuildRequires:  intltool
#Requires:       

%description
Mugshot allows you to easily update personal user details. This includes:
Linux profile image: ~/.face
User details stored in /etc/passwd (used by finger)
Pidgin buddy icon
LibreOffice user details
Additional apps may be added in the future.

%prep
%setup -q


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
install -dm 0755 %{buildroot}%{_datadir}/locale
cp -a build/mo/* %{buildroot}%{_datadir}/locale/
install -Dm 0644 build/share/applications/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
python setup.py install --skip-build \
                        --prefix="%{_prefix}" \
                        --root="$RPM_BUILD_ROOT"
rm -rf %{buildroot}%{_datadir}/doc
sed -i '/^Exec/s|/usr/bin/||' %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/mugshot
%{python_sitelib}/%{name}-%{version}-py2.7.egg-info
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}_lib/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/apps.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_mandir}/man?/%{name}.*
%{_datadir}/%{name}


%changelog
